Bug 26473 - Get items for editing using only itemnumber
Summary: Get items for editing using only itemnumber
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 5697
  Show dependency treegraph
 
Reported: 2020-09-16 15:16 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26473: Get items for editing using only itemnumber (1.73 KB, patch)
2020-09-16 15:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26473: Get items for editing using only itemnumber (1.78 KB, patch)
2020-09-17 18:42 UTC, David Nind
Details | Diff | Splinter Review
Bug 26473: Get items for editing using only itemnumber (1.84 KB, patch)
2020-09-17 19:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-16 15:16:06 UTC
Right now in order to get to the edit items page (additem.pl) you must pass at least a biblionumber or a biblionumber and itemnumber. I would like to make it so that it will accept an itemnumber all by itself.
Comment 1 Owen Leonard 2020-09-16 15:31:44 UTC
Created attachment 110222 [details] [review]
Bug 26473: Get items for editing using only itemnumber

This patch modifies additem.pl so that it can accept an itemnumber as
a single parameter.

To test, apply the patch edit items on a bibliographic record which has
one or more items.

- In the location bar, modify the URL so that it uses only the
  itemnumber parameter, e.g.

  /cgi-bin/koha/cataloguing/additem.pl?itemnumber=12345

  The page should load the correct record's items.

- If you add the "op" parameter it should load the item for editing in
  the form:

  /cgi-bin/koha/cataloguing/additem.pl?itemnumber=12345&op=edititem
Comment 2 David Nind 2020-09-17 18:42:45 UTC
Created attachment 110287 [details] [review]
Bug 26473: Get items for editing using only itemnumber

This patch modifies additem.pl so that it can accept an itemnumber as
a single parameter.

To test, apply the patch edit items on a bibliographic record which has
one or more items.

- In the location bar, modify the URL so that it uses only the
  itemnumber parameter, e.g.

  /cgi-bin/koha/cataloguing/additem.pl?itemnumber=12345

  The page should load the correct record's items.

- If you add the "op" parameter it should load the item for editing in
  the form:

  /cgi-bin/koha/cataloguing/additem.pl?itemnumber=12345&op=edititem

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-17 19:52:30 UTC
Created attachment 110291 [details] [review]
Bug 26473: Get items for editing using only itemnumber

This patch modifies additem.pl so that it can accept an itemnumber as
a single parameter.

To test, apply the patch edit items on a bibliographic record which has
one or more items.

- In the location bar, modify the URL so that it uses only the
  itemnumber parameter, e.g.

  /cgi-bin/koha/cataloguing/additem.pl?itemnumber=12345

  The page should load the correct record's items.

- If you add the "op" parameter it should load the item for editing in
  the form:

  /cgi-bin/koha/cataloguing/additem.pl?itemnumber=12345&op=edititem

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-29 14:18:55 UTC
Not blocker, but it would have been preferable to not add yet another fetch of the item in this script.
Comment 5 Jonathan Druart 2020-10-01 09:46:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 17:29:50 UTC
enhancement will not be backported to 20.05.x